Initiate STK Push
curl --request POST \
--url https://vas.finpaytech.co/business-api/api/v1/merchants/me/stk/initiate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phoneNumber": "254712345678",
"amount": 2500,
"expectedPaymentId": "721e86a8-fd29-49b5-b42f-67e19dfb2f6e"
}
'import requests
url = "https://vas.finpaytech.co/business-api/api/v1/merchants/me/stk/initiate"
payload = {
"phoneNumber": "254712345678",
"amount": 2500,
"expectedPaymentId": "721e86a8-fd29-49b5-b42f-67e19dfb2f6e"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
phoneNumber: '254712345678',
amount: 2500,
expectedPaymentId: '721e86a8-fd29-49b5-b42f-67e19dfb2f6e'
})
};
fetch('https://vas.finpaytech.co/business-api/api/v1/merchants/me/stk/initiate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "11111111-2222-3333-4444-555555555555",
"merchantId": "301f0991-8f7c-4501-a1d4-c317fe7b7f23",
"subMerchantId": null,
"expectedPaymentId": "721e86a8-fd29-49b5-b42f-67e19dfb2f6e",
"phoneNumber": "254712345678",
"amount": 2500,
"currency": "KES",
"accountReference": "7600000073",
"virtualAccountNumber": "7600000073",
"inboundCreditId": null,
"merchantRequestId": "ws_CO_09092026120000000",
"checkoutRequestId": "ws_CO_09092026120000001",
"status": "PENDING_CUSTOMER",
"customerMessage": "Success. Request accepted for processing",
"resultCode": null,
"resultDesc": null,
"mpesaReceiptNumber": null,
"createdAt": "2026-09-09T12:00:00.000Z",
"updatedAt": "2026-09-09T12:00:00.000Z"
}Payer Instructions
Initiate STK Push
POST
https://vas.finpaytech.co/business-api
/
api
/
v1
/
merchants
/
me
/
stk
/
initiate
Initiate STK Push
Authorizations
Access token from POST /api/v1/auth/login
Body
application/json
Response
200 - application/json
OK
The response is of type object.